"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const evaluate = require("../../functions/evaluate/evaluate.qwik.cjs");
const Text = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const processedText = qwik.useComputedQrl(/* @__PURE__ */ qwik.inlinedQrl(() => {
    var _a;
    const [props2] = qwik.useLexicalScope();
    const context = props2.builderContext;
    const { context: contextContext, localState, rootState, rootSetState } = context;
    return String(((_a = props2.text) == null ? void 0 : _a.toString()) || "").replace(/{{([^}]+)}}/g, (match, group) => evaluate.evaluate({
      code: group,
      context: contextContext,
      localState,
      rootState,
      rootSetState
    }));
  }, "Text_component_processedText_useComputed_FbQ0o8kZPCU", [
    props
  ]));
  return /* @__PURE__ */ qwik._jsxQ("div", null, {
    class: "builder-text",
    dangerouslySetInnerHTML: qwik._fnSignal((p0) => p0.value, [
      processedText
    ], "p0.value"),
    style: {
      outline: "none"
    }
  }, null, 3, "yO_0");
}, "Text_component_15p0cKUxgIE"));
exports.Text = Text;
exports.default = Text;
